.privacy {
    background-color: #7ee6d5;
}

.article-container {
    display: flex;
    align-items: center;
    justify-content: center;

}

.article {
    width: 1024px;
    max-width: 90%;

    color: rgb(26, 26, 26);
    font-family: "Rubik", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
}

.article a {
    color: #4b5480;
}

.article a:hover {
    color: #FFC000;
}

.screenshots-container {
    display: flex;
    background-color: #7ee6d5;
    padding-top: 150px;
    padding-bottom: 150px;

    align-items: center;
    justify-content: center;
}

.screenshots {
    max-width: 90%;

    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 48px;
    align-items: center;
}

.screenshots img {
    border: 10px solid #f7cbab;

    width: 100%;
    height: auto;
    object-fit: cover;

    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}

.screenshots img:hover {
    border: 10px solid #f3f0d4;
}

.video-container video {
    display: block;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
}

.video-container:after {
    content: '';
    z-index: 11;
    width: 100%;
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: rgba(127, 127, 127, 0.1);
    background-image: radial-gradient(rgba(0, 0, 0, 0.2) 33%, transparent 33%);
    background-size: 4px 4px;
}

.download-buttons-container {
    position: absolute;
    display: flex;
    top: 128px;
    width: 100%;
    z-index: 100;

    align-items: center;
    justify-content: center;
}

.download-buttons-group {
    position: relative;
    padding-left: 16px;
    padding-right: 16px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 16px;
    align-items: center;
}

.download-button {
    min-width: 80;
    min-height: 40;
    max-width: 160px;
    max-height: 80px;
    padding: 4px 8px;
    font-size: 16px;
    border: 1px solid #d1fdff;
    border-radius: 128px;
    cursor: pointer;
    opacity: 0.75;
    transition: opacity 0.3s ease;

    background-image: linear-gradient(to top, #fddb92 0%, #d1fdff 100%);
}

.download-button img {
    width: 100%;
}

.download-button:hover {
    opacity: 1;
}

.title-container {
    width: 100%;
    text-align: center;
    z-index: 50;
    position: absolute;
}

.title {
    font-family: "Luckiest Guy", cursive;
    font-weight: 400;
    font-style: normal;
    font-size: 40px;
    line-height: 0.1;
    color: #F3EFD8;

    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.8);
}

.subtitle {
    font-family: "Mouse Memoirs", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 40px;
    line-height: 0.1;
    color: #F3EFD8;
    font-size: 36px;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.8);
}

body {
    background-color: black;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
}

.content-container {
    background-color: #4B6180;
    max-width: 100%;
    align-items: center;
    justify-content: center;
    display: flex;
    padding-top: 150px;
    padding-bottom: 150px;
    padding-left: 20px;
    padding-right: 20px;
    gap: 20px;
}

.content-paragraph {
    color: white;
    font-family: "Mouse Memoirs", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 30px;
    max-width: 40%;
}

.vision-pro-icon {
    display: flex;
    position: relative;
    width: 100%;
    min-width: 256px;
    max-width: 512px;
    aspect-ratio: 1;

    align-items: center;
    justify-content: center;
}

.layer {
    position: absolute;
    margin: 0;
    padding: 0;
    width: auto;
    height: 100%;
    aspect-ratio: 1;
    transform-style: preserve-3d;
}

.layer1 {
    -webkit-filter: drop-shadow(2px 2px 4px #2222222f);
    filter: drop-shadow(2px 2px 4px #2222222f);
    transform: translateZ(-20px);
    transition: filter 0.2s ease, -webkit-filter 0.2s ease;
}

.layer2 {
    transform: translateZ(0);
    transition: transform 0.2s ease, filter 0.2s ease, -webkit-filter 0.2s ease;
}

.layer3 {
    transform: translateZ(20px);
    transition: transform 0.2s ease, filter 0.2s ease, -webkit-filter 0.2s ease;
}

.vision-pro-icon:hover .layer1 {
    -webkit-filter: drop-shadow(12px 12px 12px #22222262);
    filter: drop-shadow(12px 12px 12px #22222262);
}

.vision-pro-icon:hover .layer2 {
    -webkit-filter: drop-shadow(4px 4px 4px #22222262);
    filter: drop-shadow(4px 4px 4px #22222262);
    transform: translate3d(-4px, -4px, 0px);
}

.vision-pro-icon:hover .layer3 {
    -webkit-filter: drop-shadow(2px 2px 3px #222222a8);
    filter: drop-shadow(2px 2px 3px #222222a8);
    transform: translate3d(-8px, -8px, 0px);
}

.hero {
    display: block;

    width: 100%;
    height: auto;
    min-height: 256px;
    object-fit: cover;
}

.cannon-container {
    display: flex;
    position: absolute;
    height: 100%;
    width: 100%;
    align-items: center;
    justify-content: center;
    z-index: 90;
    bottom: 0px;
}

.cannon {
    height: 100%;
    width: auto;
    position: relative;
    display: inline-block;
    bottom: 0px;
    aspect-ratio: 1;
}

.footer-container {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.footer-container p {
    position: absolute;
    max-width: 100%;

    color: rgb(26, 26, 26);
    font-family: "Rubik", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    bottom: 0;
    z-index: 150;
    padding: 4px;
    margin-left: 16px;
    margin-right: 16px;
    background-color: #ffffff54;
}

.footer-container a {
    color: #4b5480;
}

.footer-container a:hover {
    color: #FFC000;
}

@media screen and (max-width: 1280px) {
    .content-container {
        display: inline-block;
    }

    .content-paragraph {
        max-width: 100%;
    }

    .vision-pro-icon {
        width: 100%;
        min-width: 100%;
        max-width: 100%;
        max-height: 256px;
    }

    .screenshots {
        grid-template-columns: 1fr;
        gap: 48px;
        max-width: 95%;
    }
}